<?

class Ui_final {

	static $open_send_report = false;

	// действия при активации этапа
	static function active() {
		GLOBAL $INFO, $GOP, $Graphs, $Ui_steps_story, $Measure_convert;
		
		// надо прописывать во всех этапах!
		Step_activator::graphs_enabled(1);

		$Graphs['disk']->legend->visible(GRD_good_write, 0);
		$Graphs['disk']->legend->visible(GRD_slow_auto, 1);
		$Graphs['disk']->legend->visible(GRD_read_err, 1);
		$Graphs['disk']->legend->visible(GRD_create_err, 1);
		$Graphs['disk']->legend->visible(GRD_frag, 1);
		$Graphs['disk']->legend->visible(GRD_all_slow, 1);
		$Graphs['disk']->legend->visible(GRD_result_space, 1);

		/* 
		Видимость всяких панелек и кнопок чтобы людей мотивировать на покупку
		структура вложенности объектов
		demo_info
			bk_unlock
			buy_panel
		*/
		$view_buy_panel = false;
		$view_demo_info = false;

		// $all_good_mb = Stat::calc_result_space() / 1024;
		// if($all_good_mb <= $INFO['demo_limit']) {


		if($INFO['finalOperations_last_run_demo'])
			$view_demo_info = true;

		if($GLOBALS['Is_demo'])
			$view_buy_panel = true;

		visible_nobug(c('Fm->final_demo_info'), $view_demo_info);
		visible_nobug(c('Fm->final_buy_panel'), $view_buy_panel);


		$bt_buy = c('Fm->bt_final_buy');
		$bt_unlock = c('Fm->bt_final_unlock');

		if($GLOBALS['Is_demo']) {
			$bt_buy ->x = $bt_unlock->x;
			$bt_buy ->y = $bt_unlock->y + $bt_unlock->h - $bt_buy ->h +5;
			
			visible_nobug($bt_unlock, false);
			visible_nobug($bt_buy, true);
		}
		else {
			visible_nobug($bt_unlock, true);
			visible_nobug($bt_buy, false);
		}


		//visible_group("bt_final_demo_to_full", $view_bt_unlock);

		// для демо прописываем счетчики сколько есть и сколько заблокированно
		$all = Stat::calc_result_space() / 1024;
		if($all <= $INFO['demo_limit']) {
			$have = $all;
			$lock = 0;
			visible_nobug($bt_unlock, false);
			visible_nobug($bt_buy, false);
		}
		else {
			$have = $INFO['demo_limit'];
			$lock = $all - $have;
		}

		c('Fm->finish_demo_have')->text = $Measure_convert->pretty_size($have, 'MB');
		c('Fm->finish_demo_lock')->text = $Measure_convert->pretty_size($lock, 'MB');

		
		// показываем форму отчета если не отправляли
		// если приложение стартует и сразу надо открыть окно отправки, случается жопа		
		if(self::$open_send_report) {//if(empty($INFO['sended_report']))
			self::$open_send_report = false;
			$GLOBALS['Forms']['fmSend_report']->open();
		}

		// сначала показываем справку как проверить скорость, а только потом форму отправки отчета
		if($INFO['session_prev_step'] == FINAL_OPERATIONS) {
			$Info_files = new Info_files();
			$Info_files->step_final();

			self::view_how_check_disk();
		}

	}


	// справка как проверять диск
	static function view_how_check_disk() {
		$GLOBALS['Forms']['fmHelp']->open_from_lang_xml('final_how_check_disk');
	}
}



?>